curl --request POST \
--url https://sandbox.axle.insure/ignition/{ignitionToken}/proxy \
--header 'Content-Type: application/json' \
--header 'x-client-id: <x-client-id>' \
--header 'x-client-secret: <api-key>' \
--data '{
"input": {}
}'import requests
url = "https://sandbox.axle.insure/ignition/{ignitionToken}/proxy"
payload = { "input": {} }
headers = {
"x-client-id": "<x-client-id>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-id': '<x-client-id>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({input: {}})
};
fetch('https://sandbox.axle.insure/ignition/{ignitionToken}/proxy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"errorCode": "user-input-invalid",
"message": "Invalid input for operation \"policy-lookup\". {validationDetails}"
}{
"message": "You are not authorized to access this Ignition session. Please create a new Ignition session."
}{
"message": "Requested entity not found"
}{
"message": "Too Many Requests"
}{
"errorCode": "default",
"message": "Oops something went wrong. Please try again later."
}Proxy Ignition
Proxy insurance information on behalf of your user to Axle for processing and/or verification. This endpoint should ONLY be used when insurance information is gathered when the user is not present (such as a document received from an insurance carrier via mail).
For more details on permitted usage and supported operations, see the Proxy Ignition guide.
Authorizations
Your secret API key. This will be shared with you during onboarding and should be considered sensitive - it’s a password after all! Your secret will be matched with your client ID to authenticate your requests.
Headers
Your client ID. This will be shared with you during onboarding.
The client ID of the destination client. This is optional and only used by platform clients. See the Axle for Platforms guide for more information.
Path Parameters
The unique ID for the Ignition session.
Body
Response
The insurance information was received and Axle has successfully begun processing the information.
Indicates whether the operation was performed successfully.
true
Was this page helpful?